* {
  text-decoration: none;
}

body {
  background: url('./images/BackgroundNew.png');
  background-color: #2770c1;
  background-size: 100%;
  background-repeat: no-repeat;
  transition-duration: 3s;
  font-family: Montserrat;
  margin: 0;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
    monospace;
}

.appWrapper {
  background-color: #137752;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: black;
  text-align: center;
}

#Landing_Page {
  color: white;
}

#JOINME {
  margin: 4px 0 0 15%;
  font-size: 30px;
  font-weight: bold;
}

#JOINME::first-letter {
  font-size: 35px;
}

.btn_lp {
  cursor: pointer;
  border: 4px solid white;
  background: transparent;
  padding: 10px 20px;
  border-radius: 40px / 50px;
  color: white;
  transition-duration: 1s;
}
.btn_lp:hover {
  background: rgba(255, 255, 255, 0.1);
  box-shadow: 0 0 25px rgba(255, 255, 255, 0.3),
    0 0 15px rgba(255, 255, 255, 0.3) inset;
  color: #fe89fa;
}

.btn_icon {
  background-color: transparent;
  color: white;
  border-style: none;
  cursor: pointer;
  font-family: Montserrat;
  transition-duration: 1s;
  fill: white;
}
.btn_icon:hover {
  filter: drop-shadow(0 0 20px white);
  fill: #fe89fa;
}
.topBar-middle ul {
  list-style: none;
  padding: 0;
}
.topBar-middle ul li {
  text-decoration: none;
  float: left;
}

.topBar-middle ul li .active {
  fill: #fe89fa;
}

#Landing_Page h1,
#Landing_Page p {
  margin: 20px auto;
  text-align: center;
  font-family: sans-serif;
}

#Landing_Page h1 {
  width: 100%;
  padding-top: 150px;
  font-size: 35px;
}

#Landing_Page h1::first-letter {
  font-size: 45px;
}

#Landing_Page h1 ~ p {
  font-size: 18px;
  width: 455px;
  margin-bottom: 40px;
  line-height: 25px;
}

.center {
  display: block;
  margin: 1px auto;
}

.mont {
  font-family: 'Montserrat', sans-serif;
  text-transform: uppercase;
  font-size: 20px;
}

.mont::first-letter {
  font-size: 25px;
}

.right {
  float: right;
}

.left {
  float: left;
}

.link {
  margin-right: 40px;
  cursor: pointer;
}

.link a {
  color: white;
}

.link a:hover {
  color: #fe89fa;
}

.mont.right {
  margin-right: 15%;
}

.intro-info-wrapper h2 {
  font-size: 2.3em;
}

.intro-info-wrapper h2::first-letter {
  font-size: 1.3em;
}

.intro-info-wrapper p {
  margin: 30px auto;
  width: 22.5em;
  text-align: justify;
  text-align-last: center;
}

.btn {
  background-color: #b524ff;
  color: white;
  border-style: none;
  cursor: pointer;
  font-family: Montserrat;
}

#Landing_Page .btn:hover {
  color: #fe89fa;
}

.btn:disabled {
  background-color: grey;
  color: black;
  cursor: default;
}

.btn-anim {
  transition: all 0.2s cubic-bezier(0.22, 0.61, 0.36, 1);
}

.btn-anim:hover {
  transform: translateY(-2px);
  background-color: #065dd8;
}

a {
  text-decoration: none;
}

a:hover {
  cursor: pointer;
}

.landingTopBar {
  width: 100%;
  height: 4vw;
  line-height: 4vw;
  position: absolute;
  top: 5%;
}

.landingTopBar a {
  font-size: 1.5em;
}

.landingTopBar a:visited {
  color: white;
}

.landingTopBar a:hover {
  color: #fe89fa;
}

.dialog .link-button {
  background-color: transparent;
  border-style: none;
  cursor: pointer;
  display: inline-block;
  padding: 0;
  margin: 10px;
  border-radius: 0px;
  font-size: 0.8em;
  width: auto;
  font-family: Montserrat;
}

.dialog .link-button:hover {
  text-decoration: underline;
}

.landing-topBar-right {
  float: right;
  margin-right: 2em;
}

.dialog {
  position: absolute;
  inset: 50% auto auto 50%;
  background: rgb(255, 255, 255) none repeat scroll 0% 0%;
  border-radius: 10px;
  outline: currentcolor none medium;
  padding: 10px 0 20px 0;
  margin-right: -50%;
  transform: translate(-50%, -50%);
  width: 30%;
  max-height: 90%;
  border: 3px solid #b524ff;
}

.dialog .content {
  display: flex;
  align-items: center;
  flex-direction: column;
  padding: 0 20px 0 20px;
  height: 600px;
  overflow: auto;
  clear: right;

  scrollbar-width: thin;
  scrollbar-color: #b524ff white;
}

::-webkit-scrollbar {
  width: 8px;
}
::-webkit-scrollbar-track {
  background: white;
}
::-webkit-scrollbar-thumb {
  background: #b524ff;
}
::-webkit-scrollbar-thumb:hover {
  background: #8900ce;
}

.dialog form {
  width: 100%;
  margin-top: 30px;
}

.dialog input,
.dialog button,
.dialog select {
  width: 100%;
  padding: 8px 16px;
  box-sizing: border-box;
  border-radius: 10px;
  border: 1px solid gainsboro;
}

.dialog input {
  margin-bottom: 8px;
}

.dialog button {
  margin-top: 20px;
  border: 2px solid #b524ff;
}
.errorMessage {
  color: darkred;
}

.input-error {
  border-color: darkred;
}

.topBar {
  color: white;
  width: 100%;
  height: 6em;
  line-height: 6em;
  text-align: center;
}

.topBar-middle {
  display: inline-block;
}

.topBar-middle .btn_icon {
  margin: 20px 10px;
}

.topBar-right {
  float: right;
  width: 25%;
  text-align: right;
  margin-right: 5%;
}

.pagination {
  position: relative;
  left: -8px;
  display: flex;
  list-style: none;
  margin-top: 20px;
  padding: 0;
}

.pagination a {
  cursor: default;
  padding: 5px;
  border-radius: 4px;
  border: 2px solid white;
  color: white;
  margin-left: 6px;
}

.pagination li:not(.disabled) a:hover {
  background-color: #b524ff;
  cursor: pointer;
}

.pagination li a {
  font-weight: bold;
  min-width: 14px;
  display: block;
  text-align: center;
}

.pagination li.active a {
  color: #fff;
  background: #b524ff;
}

.pagination li.disabled a {
  pointer-events: none;
  color: rgb(198, 197, 202);
  border: 1px solid rgb(198, 197, 202);
}

.pagination li.disabled a,
.pagination li.next a,
.pagination li.previous a {
  min-width: auto;
}

#profilePic {
  border-radius: 100%;
  width: 100px;
  height: 100px;
  background: pink;
}

label.checkbox-button-checked {
  background-color: #b524ff;
  color: white;
}

.chat {
  width: 100%;
}

.chat .message {
  clear: right;
  float: left;
  border: 1px solid grey;
  padding: 5px;
  margin-bottom: 5px;
  color: black;
  background-color: white;
  border-radius: 5px;
  max-width: 50%;
  display: flex;
  flex-direction: column;
  word-break: break-word;
}

.chat .hideSender {
  display: none;
}

.chat .message .timestamp {
  font-size: 12px;
}

.chat .message.myMessage {
  clear: both;
  float: right;
  border: 1px solid #b524ff;
  color: white;
  background-color: #b524ff;
  margin-right: 4px;
}

.chat_dialog {
  width: 40%;
}

.event_page {
  width: 60%;
  margin: auto;
}

.event_box {
  border: 4px solid #b524ff;
  margin-bottom: 10px;
  padding: 14px 14px;
  background-color: rgba(250, 250, 250, 1);
  display: flex;
}
.dialog button.btn_x {
  background-color: transparent;
  width: 50px;
  margin-right: 30px;
  border: none;
  width: auto;
  cursor: pointer;
  font-size: 40px;
  font-family: verdana;
  text-shadow: 1px 0px 1px black;
  padding: 0;
  margin-top: 0;
}

.wrapper_p {
  width: 60%;
  margin: 0 auto;
  background-color: white;
  border: 4px solid #5b2baa;
  box-sizing: border-box;
  margin-bottom: 40px;
}

.profil {
  float: left;
  border-radius: 50%;
}
.p_info {
  margin-top: 30px;
}
.p_info ul li {
  float: left;
  display: inline;
  padding-right: 20px;
}
.p_info ul {
  padding-left: 170px;
  margin-bottom: 50px;
}
.menu {
  clear: left;
  height: 60px;
  margin-left: 160px;
}
.menu ul,
.add_friend ul {
  padding: 0px;
}
.menu ul li,
.add_friend ul li {
  float: left;
  display: inline;
}
.menu ul li button,
.add_friend ul li button,
.settings {
  background-color: #5b2baa;
  color: white;
  border: none;
  padding: 10px 10px;
  font-size: 16px;
  width: 160px;
  margin-left: 5px;
  border-radius: 10px;
  border: 2px solid rgb(91, 43, 170);
  transition-duration: 1s;
}

.add_friend ul li button {
  margin-left: -4px;
}

.add_friend ul li {
  list-style: none;
}

.settings {
  width: 160px;
  cursor: pointer;
  font-family: Montserrat;
  position: relative;
  top: -14px;
}

.settings svg {
  display: none;
}

.menu ul li:nth-child(4) {
  float: right;
  margin-right: 5.5%;
}

.hidden {
  display: none;
}

.menu ul li button:hover,
.add_friend ul li button:hover,
.settings:hover {
  background: rgba(91, 43, 170, 0.1);
  box-shadow: 0 0 25px rgba(91, 43, 170, 0.3),
    0 0 15px rgba(91, 43, 170, 0.3) inset;
  color: rgb(91, 43, 170);
  border: 2px solid rgb(91, 43, 170);
}

.wrapper_p .profil {
  width: 130px;
  height: 130px;
  margin: 20px;
}

.setpic .profil {
  width: 130px;
  height: 130px;
}

.event_box .profil,
.event_detail .profil {
  width: 40px;
  height: 40px;
  margin-right: 4px;
}

.myname {
  font-size: 25px;
  width: 95.5%;
}

.inline_block {
  display: inline-block;
}

.dim {
  background-color: rgba(250, 250, 250, 0.5);
  padding: 40px 0 20px 0;
  min-height: 720px;
  height: 100%;
}

.btn_pink {
  background-color: #b524ff;
  color: white;
  border: none;
  padding: 10px 60px;
  font-size: 20px;
  width: 180px;
  margin-top: 10px;
  border-radius: 10px;
  cursor: pointer;
  border: 2px solid #b524ff;
  transition-duration: 1s;
  margin-left: 4px;
}

.btn_pink:hover {
  background: rgba(181, 36, 255, 0.1);
  box-shadow: 0 0 25px rgba(181, 36, 255, 0.3),
    0 0 15px rgba(181, 36, 255, 0.3) inset;
  color: rgb(181, 36, 255);
  border: 2px solid rgb(181, 36, 255);
}
.event_box img {
  width: 150px;
  height: 150px;
  display: block;
  cursor: pointer;
}

.event_box span {
  display: block;
  font-size: 18px;
  line-height: 25px;
}

.event_info span {
  padding-left: 50px;
}
.event_box .participants {
  display: flex;
  padding-left: 50px;
  margin: 5px 0;
}
.event_name {
  font-weight: bold;
  cursor: pointer;
}

.event_right {
  display: inline-block;
  text-align: right;
  flex-grow: 8;
  margin-right: 4%;
}

.event_right span {
  display: block;
}

.event_right span span {
  display: inline-block;
}
.bold {
  font-weight: bold;
}
.hideSender img {
  display: none;
}
.chat .chat_pic {
  width: 40px;
  height: 40px;
  margin-right: 4px;
  clear: both;
  float: left;
  border-radius: 50%;
}

.sendto {
  margin-bottom: 10px;
}

.event_detail {
  width: 40%;
}
.event_detail .content {
  display: block;
}

.event_detail .content h1,
.event_detail .content h2 {
  text-align: center;
  margin-top: 0;
}

.event_detail img {
  width: 100%;
  height: 100%;
  max-height: 250px;
  display: block;
  margin: 0 auto;
  object-fit: cover;
}

.event_detail .profil {
  float: none;
  display: inline;
}

.createdby {
  vertical-align: middle;
  padding-bottom: 28px;
}
.baba {
  display: block;
  margin-top: 10px;
}

.event_detail svg {
  height: 24px;
  position: relative;
  top: 4px;
  margin-right: 14px;
}
.event_detail .participants svg {
  top: -2px;
  left: -5px;
  margin-right: 0;
  vertical-align: top;
}
.people {
  position: relative;
  display: inline-block;
  top: -8px;
}
.people .profil {
  float: left;
}
.event_detail .participants {
  padding-top: 10px;
}
.people span {
  position: relative;
  top: 10px;
}
.createdby2 {
  display: inline-block;
}
.btn_svg {
  background-color: transparent;
  border: 0;
  cursor: pointer;
  transition-duration: 1s;
}
.btn_svg:hover {
  fill: #b524ff;
}

.search {
  border: 2px solid #b524ff;
  margin: 10px 20%;
  padding: 10px 10px;
}

.redDot p,
.invisible p {
  position: absolute;
  line-height: 0;
  top: -4px;
  text-align: center;
  width: 25px;
}

.redDot {
  position: absolute;
  top: 0;
  right: 0;
  border-radius: 50%;
  background-color: red;
  width: 25px;
  height: 25px;
  display: inline-block;
}

.email_conf {
  max-height: 24%;
}
.notif {
  border: 3px solid #065dd8;
  background-color: white;
  height: 50px;
  display: flex;
  align-items: center;
  margin-bottom: 10px;
}
.notif .btn_x {
  background-color: transparent;
  width: 50px;
  color: black;
  border: none;
  width: auto;
  cursor: pointer;
  font-size: 30px;
  font-family: verdana;
  text-shadow: 1px 0px 1px black;
  padding: 0;
  margin-top: 0;
}
.clear_all {
  background-color: #065dd8;
  color: white;
  border: none;
  padding: 10px 10px;
  font-size: 18px;
  width: 150px;
  margin-top: 10px;
  border-radius: 10px;
  cursor: pointer;
  border: 2px solid #065dd8;
  transition-duration: 1s;
  margin-bottom: 10px;
}

.clear_all:hover {
  background: rgba(255, 255, 255, 1);
  box-shadow: 0 0 25px rgba(6, 93, 216, 0.3),
    0 0 15px rgba(6, 93, 216, 0.3) inset;
  color: rgb(6, 93, 216);
  border: 2px solid rgb(6, 93, 216);
}

.notif_page {
  width: 50%;
  margin: auto;
}

.invisible {
  visibility: hidden;
  border-radius: 50%;
  background-color: red;
  width: 25px;
  height: 25px;
  display: inline-block;
}

.relative {
  position: relative;
}

.cal_icon {
  background-color: rgba(0, 0, 0, 0);
  fill: #000000;
  width: 26px;
  height: 26px;
  border: none;
  cursor: pointer;
  position: relative;
  left: -10px;
  top: -12px;
}

.cal_icon svg {
  transition-duration: 1s;
}

.cal_icon:hover {
  background: none;
  box-shadow: none;
  border: none;
  fill: #5b2baa;
}

.circle_page {
  width: 50%;
  margin: auto;
}

.create_circle {
  background-color: #009b00;
  color: white;
  border: none;
  padding: 10px 10px;
  font-size: 18px;
  width: 150px;
  margin-top: 10px;
  border-radius: 10px;
  cursor: pointer;
  border: 2px solid #009b00;
  transition-duration: 1s;
  margin-bottom: 10px;
}

.circle {
  border: 3px solid #009b00;
  background-color: white;
  height: 50px;
  display: flex;
  align-items: center;
  margin-bottom: 10px;
}

.create_circle:hover {
  background: rgba(255, 255, 255, 1);
  box-shadow: 0 0 25px rgba(0, 155, 0, 0.3), 0 0 15px rgba(0, 155, 0, 0.3) inset;
  color: rgb(0, 155, 0);
  border: 2px solid rgb(0, 155, 0);
}

.calendar {
  width: 60%;
}

.rbc-calendar .rbc-toolbar .rbc-btn-group button {
  padding: 8px 16px;
  border: 2px solid #b524ff;
  margin-top: 20px;
}

.calendar .content {
  display: block;
}

.calendar .rbc-calendar {
  display: block;
  width: 100%;
}

.calendar .rbc-toolbar {
  display: block;
}

.rbc-btn-group button,
.rbc-toolbar-label {
  display: block;
  margin: 0 auto;
}

.rbc-btn-group button {
  width: 20%;
}

.rbc-btn-group {
  width: 100%;
  text-align: center;
}

.calendar h2 {
  text-align: center;
  padding-bottom: 22px;
}

.rbc-toolbar-label {
  position: relative;
  top: -64px;
  line-height: 0;
}

.rbc-btn-group:first-child {
  margin-bottom: 6px;
}

.rbc-calendar .rbc-toolbar .rbc-btn-group button {
  margin-top: 0;
}

.rbc-day-slot .rbc-event-label {
  width: 66px;
  white-space: unset;
}

.inv_header {
  color: white;
  font-size: 2em;
  width: 60%;
  margin: auto;
  margin-top: 10px;
}

.invite_title {
  padding-top: 25px;
  display: block;
}

@media screen and (min-width: 1700px) {
  body {
    background-position: 0 -100px;
  }
}
@media screen and (max-width: 1450px) {
  .ml0 {
    margin-left: 0;
  }
  .menu ul li:nth-child(4) {
    margin-right: 4.5%;
  }
}

@media screen and (max-width: 1200px) {
  #JOINME {
    margin: 4px 0 0 5%;
  }
  .mont.right {
    margin-right: 5%;
  }
  .event_page {
    margin: auto 5%;
    width: inherit;
  }
  .wrapper_p {
    margin: 0 5% 20px 5%;
    width: inherit;
  }
  .myname {
    width: 95%;
  }
  .search {
    margin: 10px 5%;
  }
  .email_conf {
    width: 40%;
  }
  .notif_page {
    width: 90.5%;
  }

  .circle_page {
    width: 90.5%;
  }
  .rbc-btn-group button {
    display: block;
    width: 33%;
  }

  .inv_header {
    margin: auto 5%;
    margin-top: 10px;
  }
}

@media screen and (max-width: 820px) {
  .landingTopBar .btn,
  .landingTopBar .link {
    display: none;
  }

  .intro-info-wrapper p {
    width: 20em;
  }

  #Landing_Page .intro-info-wrapper h2 {
    font-size: 2em;
  }

  .dialog {
    position: absolute;
    inset: 50% auto auto 50%;
    top: 0;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    margin-top: 80px;
    border-radius: 10px;
    padding: 0px;
    transform: translate(0, 0);
    width: 70%;
    padding-bottom: 30px;
  }

  .dialog .content {
    margin: 50px 20px 0 20px;
    display: flex;
    align-items: center;
    flex-direction: column;
  }

  .dialog form {
    width: 100%;
  }

  #Landing_Page h1 {
    padding-top: 70px;
    font-size: 25px;
  }
  #Landing_Page h1::first-letter {
    font-size: 30px;
  }
  .mont {
    font-size: 15px;
  }

  .mont::first-letter {
    font-size: 18px;
  }
  #Landing_Page h1 ~ p {
    font-size: 16px;
  }
  #JOINME {
    margin: 4px 0 0 5%;
  }
  .mont.right {
    margin-right: 2%;
  }
  .topBar-middle {
    display: block;
    clear: left;
  }
  .dim {
    margin-top: 100px;
  }
  .myname {
    width: 90%;
  }
  .menu {
    height: 100px;
    margin-left: 0px;
  }
  .menu ul li,
  .add_friend ul li {
    width: 49%;
  }
  .menu ul li:nth-child(4) {
    margin: 0;
    float: left;
  }
  .menu ul li button,
  .add_friend ul li button {
    width: 99%;
    margin: 2px 2.5%;
  }
  .topBar ul {
    display: inline-block;
    margin: 0 auto;
  }

  .settings {
    background-color: white;
    fill: #000000;
    width: 0;
    height: 10px;
    border: none;
  }

  .settings:hover {
    background: none;
    box-shadow: none;
    color: none;
    border: none;
    fill: #5b2baa;
  }

  .settings span {
    display: none;
  }

  .settings svg {
    display: block;
    position: relative;
    top: -6px;
  }

  .calendar {
    width: 98%;
  }
  .calendar .content {
    display: block;
  }
  .calendar .content {
    margin: 0;
  }
}
@media screen and (max-width: 650px) {
  .p_info {
    display: block;
    margin-left: 20px;
  }

  .p_info ul {
    padding-left: 0;
  }
  .wrapper_p .profil {
    margin: 10px auto;
    display: block;
    float: none;
  }

  .event_box {
    display: block;
  }
  .event_box img {
    margin: 0 auto 0;
  }
  .event_box .participants {
    display: inline-block;
    padding: 0;
  }
  .event_box #profilePicture {
    display: inline-block;
  }
  .event_info {
    margin: 0 auto;
    text-align: center;
  }
  .event_info span {
    padding-left: 0;
  }
  .event_right {
    margin: 0 auto;
    text-align: center;
    display: block;
  }
  .participants img {
    padding: 0 2px;
  }
  .notif {
    min-height: 70px;
    width: 100%;
  }

  .notif_msg {
    width: 300px;
    display: block;
  }
  .event_name {
    margin-top: 10px;
  }

  .cal_icon {
    top: -100px;
    left: 29px;
  }

  .settings svg {
    top: -142px;
    left: -10px;
  }
}

@media screen and (max-width: 500px) {
  #JOINME {
    margin: 4px auto;
    display: block;
    float: none;
    text-align: center;
  }
  #Landing_Page .mont.right {
    margin: 6px auto;
    display: block;
    float: none;
    text-align: center;
  }
  #Landing_Page h1 {
    padding-top: 10px;
    width: 90%;
    margin: 5%;
  }
  #Landing_Page h1 ~ p {
    width: 90%;
    margin: 5%;
  }
  body {
    background-size: 600%;
    background-position-x: 60%;
    background-position-y: 0%;
  }
  .dialog {
    width: 98%;
    margin-top: 64px;
  }

  .topBar-middle {
    clear: both;
  }
  .btn_icon svg {
    height: 30px;
    width: auto;
  }
  .topBar .mont.right {
    float: right;

    margin-right: 5%;
  }

  .topBar #JOINME {
    float: left;
    margin: 4px 0 0 5%;
  }
  .menu ul li button {
    width: 99.5%;
  }
  .btn_lp {
    padding: 10px 10px;
  }
  .dialog {
    max-height: 94.5%;
  }
  .dialog .content {
    height: 480px;
  }
  .p_info ul li {
    padding-right: 10px;
  }
  .email_conf {
    max-height: 250px;
  }
  .notif {
    display: block;
    height: auto;
    text-align: center;
  }
  .notif_msg {
    width: auto;
    margin: 10px;
  }
  .notif_bot {
    margin: 10px;
  }
  .notif_type {
    float: left;
    margin-top: inherit;
    margin-left: 12px;
  }
}
@media screen and (max-width: 320px) {
  .dialog .content {
    height: 416px;
  }
}
